Last Comment Bug 777415 - WebIDL Codegen (or Parser, don't really care) should ensure that the various infallible annotations are applied to the right things.
: WebIDL Codegen (or Parser, don't really care) should ensure that the various ...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla17
Assigned To: Boris Zbarsky [:bz] (Out June 25-July 6)
:
Mentors:
Depends on:
Blocks: ParisBindings
  Show dependency treegraph
 
Reported: 2012-07-25 10:39 PDT by Kyle Huey [:khuey] (khuey@mozilla.com)
Modified: 2012-07-27 08:14 PDT (History)
1 user (show)
bzbarsky: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Disallow GetterInfallible/SetterInfallible annotations where they don't make sense. (4.70 KB, patch)
2012-07-25 22:10 PDT, Boris Zbarsky [:bz] (Out June 25-July 6)
no flags Details | Diff | Review
Disallow GetterInfallible/SetterInfallible annotations where they don't make sense. (5.39 KB, patch)
2012-07-25 22:35 PDT, Boris Zbarsky [:bz] (Out June 25-July 6)
khuey: review+
Details | Diff | Review

Description Kyle Huey [:khuey] (khuey@mozilla.com) 2012-07-25 10:39:04 PDT
In particular, we shouldn't accept GetterInfallible or SetterInfallible on methods, and we shouldn't accept SetterInfallible on readonly attrs.
Comment 1 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-07-25 22:10:24 PDT
Created attachment 646029 [details] [diff] [review]
Disallow GetterInfallible/SetterInfallible annotations where they don't make sense.
Comment 2 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-07-25 22:35:43 PDT
Created attachment 646033 [details] [diff] [review]
Disallow GetterInfallible/SetterInfallible annotations where they don't make sense.
Comment 3 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-07-26 21:10:36 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/d34663c1217b
Comment 4 Ed Morley [:emorley] 2012-07-27 08:14:55 PDT
https://hg.mozilla.org/mozilla-central/rev/d34663c1217b

Note You need to log in before you can comment on or make changes to this bug.